<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">


    <View
        android:id="@+id/common_loading_bg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/dialog_loading_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_percent="0.3333333333333333" />

    <ProgressBar
        android:id="@+id/common_loading_progress"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:indeterminate="true"
        android:indeterminateDrawable="@drawable/progress_common_loading"
        app:layout_constraintBottom_toTopOf="@+id/common_loading_text"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/common_loading_bg"
        app:layout_constraintStart_toStartOf="@+id/common_loading_bg"
        app:layout_constraintTop_toTopOf="@+id/common_loading_bg"
        app:layout_constraintVertical_chainStyle="packed"
        app:layout_constraintWidth_percent="0.0916666666666667" />

    <TextView
        android:id="@+id/common_loading_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:text="@string/loading_txt"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@+id/common_loading_bg"
        app:layout_constraintEnd_toEndOf="@+id/common_loading_bg"
        app:layout_constraintStart_toStartOf="@+id/common_loading_bg"
        app:layout_constraintTop_toBottomOf="@+id/common_loading_progress" />

</androidx.constraintlayout.widget.ConstraintLayout>